Publicidade

quarta-feira, 4 de janeiro de 2017

O framework do KDE para interfaces de usuário convergentes Kirigami 2.0 entra em beta com novos recursos.





Ele agora requer o uso do Qt 5.7.1 ou posterior.



Em 2017,  foi lançado para o usuário do KDE com a primeira versão beta do próximo framework o Kirigami 2.0 UI para a construção de interfaces de usuário convergentes que funcionam em plataformas móveis e de desktop, conforme anunciado por Thomas Pfeiffer.

Enquanto a primeira prévia pública do framework Kirigami UI chegou às ruas no início de agosto de 2016, e atingiu o marco 1.1 dois meses depois, no final de setembro, parece que o Beta da versão 2.0 está pronto para desenvolvedores interessantes No teste de condução para produzir convergentes UIs.

E os aperfeiçoamentos continuam chegando, já que o Kirigami 2.0 Beta agora está totalmente portado para o Qt Quick Controls 2, os controles padrão da próxima geração do Qt para interfaces gráficas de usuário projetadas usando a moderna tecnologia Qt Quick UI, oferecendo aos desenvolvedores um conjunto muito mais extenso de controles enquanto Melhorando o desempenho ea estabilidade do quadro.

"Logo após o lançamento inicial do Kirigami UI, o framework do KDE para interfaces de usuário convergentes (móveis e desktop), seu principal desenvolvedor, Marco Martin, começou a portá-lo do Qt Quick Controls 1 para o Qt Quick Controls 2, a próxima geração do Qt ready-made standard controles para interfaces de usuário baseadas em rápida Qt ", disse Thomas Pfeiffer no anúncio .

A eficiência e o desempenho do Kirigami 2

A porta para o Qt Quick Controls 2 não é a única característica que desembarcou nesta versão Beta do Kirigami 2.0, uma vez que os desenvolvedores do KDE também conseguiram adicionar muitas melhorias à eficiência e ao desempenho do framework, além de aprimorar a navegação do teclado para aplicativos de desktop.

Para plataformas Android, o Kirigami 2.0 versão Beta introduz uma melhor integração Material Design. Outras mudanças notáveis ​​incluem melhor ativação do modo Reachability & Overscroll e melhor manipulação de swipes de borda. Como esperado, o Qt 5.7 GUI toolkit agora é necessário para executar Kirigami 2.0 Beta

Fonte

Até a próxima!!!